# Changelog

## Unreleased

## 4.1.5 - 2018-12-03

### Changed

-   [Patch] Use a tilde for Sass imports (#1256)

## 4.1.4 - 2018-12-03

### Changed

-   [Patch] Upgrade to latest version of eslint.

## 4.1.3 - 2018-11-27

### Changed

-   [Patch] Publish package to public NPM.

## 4.1.2 - 2018-10-22

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 4.1.1 - 2018-10-10

### Changed

-   [Patch] Use latest version of `tp-ui-react-ui-action`.

## 4.1.0 - 2018-10-03

### Added

-   [Minor] Add support for `ref`.

### Changed

-   [Patch] Move examples to `README.mdx`. (#1251)

## 4.0.4 - 2018-09-17

### Changed

-   [Patch] Use only `rel="noopener"` for internal links that we want to open in a new tab.

## 4.0.3 - 2018-09-12

### Changed

-   [Patch] Upgrade version of Prettier and Thumbprint Tokens.

## 4.0.2 - 2018-09-04

### Changed

-   [Patch] Use latest version of `tp-ui-react-ui-action`.

## 4.0.1 - 2018-08-29

### Changed

-   [Patch] Discourage use of the `isDisabled` prop in `TextButton`. (#1019)

## 4.0.0 - 2018-08-17

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.
-   [Major] Changed `data-test` to `dataTest` for camel case prop consistency.

## 3.1.0 - 2018-08-10

### Added

-   [Minor] Add support for `data-test` attribute

## 3.0.1 - 2018-07-27

### Fixed

-   [Patch] Don't apply right margin to themed `Button`s that contain an icon and no text. (#951)

## 3.0.0 - 2018-07-20

### Added

-   [Minor] Support use within the `InputRow` component for themed buttons. (#871)

### Changed

-   [Major] Require React `>= 16.3.0`.

## 2.2.2 - 2018-07-19

### Changed

-   [Patch] Use latest version of `@thumbtack/tp-ui-react-ui-action`.

## 2.2.1 - 2018-07-03

### Fixed

-   [Patch] Button will now render properly in IE 11. (#959)

## 2.2.0 - 2018-06-25

### Added

-   [Minor] Add `accessibilityLabel` prop to describe buttons that have icons and no text. (#843)
-   [Minor] Add `onMouseEnter`, `onFocus`, `onMouseLeave`, and `onBlur` props.

### Fixed

-   [Patch] No longer throw error if `children` is not provided.

## 2.1.0 - 2018-05-31

### Added

-   [Minor] Add `iconLeft` prop to `TextButton`. (#932, #939)
-   [Minor] Add `inherit` theme option to `TextButton`. (#932, #939)

## 2.0.2 - 2018-05-21

### Changed

-   [Patch] Use latest version of `@thumbtack/tp-ui-react-ui-action`.

## 2.0.1 - 2018-05-18

### Fixed

-   [Patch] Update to use latest version of `@thumbtack/tp-ui-react-ui-action` that fixes invalid HTML attribute warnings. (#908)

## 2.0.0 - 2018-05-16

### Changed

-   [Major] Use CSS modules instead of styled-components. (#851)

## 1.1.4 - 2018-05-04

-   [Patch] Use latest version of `@thumbtack/tp-ui-react-ui-action`.

## 1.1.3 - 2018-04-19

### Changed

-   [Patch] Fix mistake where CommonJS package was published as ES module. (#822)

## 1.1.2 - 2018-04-16

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 1.1.1 - 2018-04-13

### Changed

-   [Patch] Publish package as CommonJS and ES module.

## 1.1.0 - 2018-04-09

### Added

-   [Minor] Add `full-below-small` width option for themed React button. (#780)

## 1.0.2 - 2018-03-20

### Changed

-   [Patch] Use latest version of ui-action.

## 1.0.1 - 2018-03-15

### Changed

-   [Patch] Update to use new UIAction component.

## 1.0.0 - 2018-03-14

### Added

-   [Minor] Added `icon` prop, making it easy to position icons within a button. (#544)
-   [Minor] Added `TextButton` component for buttons that look like links. (#540)

### Removed

-   [Major] Removed `width="bleed"` option in favor of `width="full"`.
-   [Major] Removed default `medium` size. Button will default to `large`. Medium was previously 38px.
-   [Major] Removed `theme="tertiary"`. It is similar to the new `secondary`.
-   [Major] `theme="bad-news"` is now named `caution`.
-   [Major] `theme="reverse"` is now named `solid`.
-   [Major] Removed `theme="line"`. The best alternative is `solid` or a the `tertiary` link style.
-   [Major] Removed `theme="clear"`. The best alternative is using `TextButton`.

### Changed

-   [Major] Small button height increases from 28px to 40px. Medium was previously 38px.
-   [Major] Large button height increases 48px to 52px.

## 0.10.0 - 2018-03-06

### Added

-   [Minor] Support `secondary` button for the `isLoading` prop. (#720)

## 0.9.6 - 2018-02-28

-   [Patch] Darken `bad-news` button color from `$tpColorRed300` to `$tpColorRed` and its hover state from `$tpColorRed` to `$tpColorRed500`.

## 0.9.5 - 2018-02-07

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 0.9.4 - 2018-02-05

### Changed

-   [Patch] Use latest version of `tp-ui-react-loader-dots`.

## 0.9.3 - 2018-01-30

### Changed

-   [Patch] Add support for styled-components `^3.0.0` to peer dependencies.
-   [Patch] Only render loading indicator in DOM when it is needed.

## 0.9.2 - 2018-01-24

### Fixed

-   [Patch] Primary button hover state referenced a color that didn't exist.

## 0.9.1 - 2018-01-23

### Changed

-   [Patch] Fixed a broken version release.

## 0.9.0 - 2018-01-23

### Changed

-   [Minor] Change font-weight to `700` for Mark font.

## 0.8.0 - 2018-01-16

### Changed

-   [Minor] Use latest version of Thumbprint Tokens. This includes new brand colors.

## 0.7.1 - 2018-01-11

### Changed

-   [Patch] Update npm `latest` tag since it was accidentally pointed to a `prepublish` version of our
    components.

## 0.7.0 - 2018-01-08

### Added

-   [Minor] Support `line` button theme. (#538)

## 0.6.0 - 2017-12-19

### Changed

-   [Patch] Disable `Button` when `isLoading` is `true`. (#556)

### Added

-   [Minor] Support `reverse` button theme. (#537)

## 0.5.1 - 2017-12-11

### Changed

-   [Patch] Run `babel-plugin-styled-components` before publishing component.

## 0.5.0 - 2017-12-08

### Added

-   [Minor] Add a `theme` called `clear`. (#513)

## 0.4.5 - 2017-12-05

### Fixed

-   [Patch] Remove broken `isLoading` examples from the documentation. (#369)

## 0.4.4 - 2017-12-01

### Changed

-   [Patch] Add hover, focus, and active states to Button. (#398)

## 0.4.3 - 2017-11-30

### Changed

-   [Patch] Add a bunch of additional snapshot tests to help avoid regressions.

## 0.4.2 - 2017-11-21

### Changed

-   [Patch] Rewrite documentation with Gatsby.
-   [Patch] Use Prettier to format files.

## 0.4.1 - 2017-11-16

### Changed

-   [Patch] Change `peerDependencies` to include React 16.

## 0.4.0 - 2017-11-13

-   [Minor] Add `width` prop to `Button`.

## 0.3.3 - 2017-11-01

### Changed

-   [Major] Move `styled-components` from `dependencies` to `peerDependencies`.

## 0.3.2 - 2017-10-31

### Changed

-   [Patch] Fix incorrectly positioned loading status indicator. (#402)
-   [Patch] Update `@thumbtack/thumbprint-tokens` to version `4.0.1`.

## 0.3.1 - 2017-10-18

### Changed

-   [Patch] Transition proptery changed from `all` to `background, color, opacity`. (#396)

## 0.3.0 - 2017-10-18

### Changed

-   [Minor] Add `size` prop to support multiple button sizes. (#386)

## 0.2.3 - 2017-10-13

### Changed

-   [Patch] Border color now `$tp-color__ui__pale`, replacing `$tp-color__ui__base` as it was too
    light.

## 0.2.2 - 2017-10-04

### Changed

-   [Patch] Use latest version of `thumbprint-tokens`.

## 0.2.1 - 2017-10-02

### Changed

-   [Patch] Upgrade version of `@thumbtack/tp-ui-react-loader-dots`.

## 0.2.0 - 2017-09-22

### Added

-   [Minor] Add `isLoading` prop that renders loading state.

## 0.1.1 - 2017-07-13

### Added

-   [Patch] Add component tests.

### Changed

-   [Patch] Update code to conform to ESLint standards.

## 0.1.0 - 2017-07-05

### Added

-   [Minor] Create first version of `tp-ui-react-button`.
